.add-feedback {
  display: flex;
  max-width: 62rem;
  margin: 9.4rem auto;
  padding: 0 4rem;
  flex-direction: column;
  align-items: flex-start;
  gap: 6.8rem;

  .back-link {
    display: flex;
    align-items: center;
    font-weight: 700;
    font-size: 1.4rem;
    line-height: 2rem;
    text-decoration: none;
    color: #647196;
    cursor: pointer;
  }

  .back-link::before {
    content: "";
    width: 0.6rem;
    height: 0.8rem;
    background-repeat: no-repeat;
    background-size: contain;
    background-image: url(data:image/svg+xml;base64,PHN2ZyBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCA2IDEwIj48cGF0aCBkPSJNNC4zMzQgOWwtNC00IDQtNCIgc3Ryb2tlPSIjNDY2MUU2IiBzdHJva2Utd2lkdGg9IjIiLz48L3N2Zz4=);
    margin-right: 1.6rem;
  }

  .add-form {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background: #fff;
    border-radius: 1rem;
    padding: 5.2rem 4.2rem 4rem;

    .form-icon {
      position: absolute;
      left: 4.2rem;
      top: 0;
      height: 5.6rem;
      transform: translateY(-50%);
    }

    .form-title {
      font-weight: 700;
      font-size: 2.4rem;
      line-height: 3.5rem;
      letter-spacing: -0.333333px;
      color: #3a4374;
      margin: 0 0 4rem;
    }

    .input-group {
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      margin-bottom: 2.4rem;

      .input-label {
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        letter-spacing: -0.194444px;
        color: #3a4374;
        margin: 0 0 2px;
      }

      .input-description {
        font-size: 1.4rem;
        line-height: 2rem;
        margin: 0 0 1.6rem;
      }

      .form-input,
      .form-select,
      .form-textarea {
        width: 100%;
        background-color: #f7f8fd;
        border-radius: 5px;
        padding: 1.2rem 2.4rem;
        font-size: 1.5rem;
        line-height: 2.2rem;
        color: #3a4374;
        border: none;
        appearance: none;
        outline-color: #4661e6;
      }

      .form-error-message {
        font-size: 1.4rem;
        line-height: 2rem;
        color: #d73737;
        margin: 4px 0 0;
      }

      .form-select {
        background-image: url(data:image/svg+xml;base64,PHN2ZyBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMCA3Ij48cGF0aCBkPSJNMSAxbDQgNCA0LTQiIHN0cm9rZT0iIzQ2NjFFNiIgc3Ryb2tlLXdpZHRoPSIyIi8+PC9zdmc+);
        background-repeat: no-repeat;
        background-size: 8px 8px;
        background-position: center right 24px;

        option {
          font-weight: normal;
          display: block;
          min-height: 1.2em;
          padding: 0px 2px 1px;
          white-space: nowrap;
        }
      }

      .form-textarea {
        min-height: 9.6rem;
        padding: 1.6rem 2.4rem;
      }
    }

    .form-buttons {
      margin-top: 1.6rem;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: flex-end;
      gap: 1.6rem;

      .form-button {
        border-radius: 1rem;
        padding: 1.2rem 2.4rem;
        font-weight: 700;
        font-size: 1.4rem;
        line-height: 2rem;
        transition: all 0.2s ease-out;
        cursor: pointer;
        border: none;
        appearance: none;
      }

      .button-cancel {
        background-color: #3a4374;
        color: #f2f4fe;
      }

      .button-cancel:hover,
      .button-cancel:active {
        background-color: #656ea3;
      }

      .button-submit {
        background-color: #ad1fea;
        color: #f2f4fe;
      }

      .button-submit:hover,
      .button-submit:active {
        background-color: #c75af6;
      }
    }
  }
}
